<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.geometry.*?>
<?import javafx.scene.control.*?>
<?import javafx.scene.layout.*?>
<?import javafx.scene.paint.*?>
<?import javafx.scene.text.*?>

<VBox alignment="CENTER" prefHeight="400.0" prefWidth="800.0" spacing="20.0" xmlns="http://javafx.com/javafx/16" xmlns:fx="http://javafx.com/fxml/1" fx:controller="com.example.projetlastfm.HelloController">
   <BorderPane prefHeight="402.0" prefWidth="760.0">
      <center>
         <Pane prefHeight="200.0" prefWidth="200.0" BorderPane.alignment="CENTER">
            <children>
            
              <Label fx:id="welcomeText" />
            </children>
            <padding>
               <Insets bottom="10.0" left="10.0" right="10.0" top="10.0" />
            </padding>
            <BorderPane.margin>
               <Insets bottom="10.0" left="10.0" right="10.0" top="10.0" />
            </BorderPane.margin>
         </Pane>
      </center>
      <top>
         <HBox prefHeight="70.0" prefWidth="760.0" style="-fx-background-color: #c28900;" BorderPane.alignment="CENTER">
            <children>
               <Label text="SD LastFM" textAlignment="CENTER">
                  <font>
                     <Font name="Book Antiqua Bold" size="23.0" />
                  </font>
                  <textFill>
                     <LinearGradient endX="0.5650793650793651" endY="1.0" startX="0.5492063613164992">
                        <stops>
                           <Stop>
                              <color>
                                 <Color green="0.7099999785423279" blue="0.6418092846870422" />
                              </color>
                           </Stop>
                           <Stop offset="1.0">
                              <color>
                                 <Color red="1.0" green="1.0" blue="1.0" />
                              </color>
                           </Stop>
                        </stops>
                     </LinearGradient>
                  </textFill>
                  <HBox.margin>
                     <Insets left="50.0" top="18.0" />
                  </HBox.margin>
               </Label>
               <VBox fx:id="coucou" prefHeight="70.0" prefWidth="169.0">
                  <children>
      
                     <ChoiceBox fx:id="inputTypeTop" prefHeight="25.0" prefWidth="181.0">
                        <VBox.margin>
                           <Insets bottom="5.0" />
                        </VBox.margin>
                     </ChoiceBox>
                     <TextField fx:id="inputPays" prefHeight="25.0" prefWidth="114.0" promptText="Pays (format : anglais)" />
                  </children>
                  <HBox.margin>
                     <Insets left="50.0" />
                  </HBox.margin>
                  <padding>
                     <Insets top="5.0" />
                  </padding>
               </VBox>
              <Button fx:id="topsGeneraux" onAction="#onButtonTopGeneraux" text="Recherche Tops" textAlignment="CENTER">
                  <HBox.margin>
                     <Insets left="10.0" top="22.0" />
                  </HBox.margin>
              </Button>
               <HBox prefHeight="70.0" prefWidth="237.0">
                  <children>
                     <VBox fx:id="coucou" prefHeight="70.0" prefWidth="145.0">
                        <children>
                           <TextField fx:id="inputPseudo" prefHeight="25.0" prefWidth="114.0" promptText="Pseudo" />
                           <TextField fx:id="inputMDP" promptText="Mot de passe">
                              <VBox.margin>
                                 <Insets top="5.0" />
                              </VBox.margin>
                           </TextField>
                        </children>
                        <HBox.margin>
                           <Insets right="10.0" />
                        </HBox.margin>
                        <padding>
                           <Insets top="5.0" />
                        </padding>
                     </VBox>
                     <VBox prefHeight="70.0" prefWidth="121.0">
                        <children>
      
                           <ChoiceBox fx:id="connexion" prefHeight="25.0" prefWidth="181.0">
                              <VBox.margin>
                                 <Insets bottom="5.0" />
                              </VBox.margin>
                           </ChoiceBox>
                           <Button mnemonicParsing="false" onAction="#onButtonConnexion" text="Connexion" />
                        </children>
                        <padding>
                           <Insets top="5.0" />
                        </padding>
                     </VBox>
                  </children>
                  <HBox.margin>
                     <Insets left="60.0" />
                  </HBox.margin>
               </HBox>
            </children>
         </HBox>
      </top>
      <left>
         <VBox prefHeight="330.0" prefWidth="200.0" style="-fx-background-color: #c28900;" BorderPane.alignment="CENTER">
            <children>
               <ChoiceBox fx:id="inputTypeRecherche" prefHeight="25.0" prefWidth="181.0">
                  <VBox.margin>
                     <Insets bottom="10.0" />
                  </VBox.margin>
               </ChoiceBox>
               <TextField fx:id="inputRechercheArtiste" promptText="Nom artiste">
                  <VBox.margin>
                     <Insets bottom="10.0" />
                  </VBox.margin>
               </TextField>
               <TextField fx:id="inputRechercheAutre" prefHeight="25.0" prefWidth="150.0" promptText="Morceau / Album / Tag">
                  <VBox.margin>
                     <Insets bottom="10.0" />
                  </VBox.margin>
               </TextField>
               <Button fx:id="buttonSearch" alignment="CENTER_RIGHT" contentDisplay="RIGHT" mnemonicParsing="false" onAction="#onButtonSearch" text="Rechercher" textAlignment="CENTER">
                  <VBox.margin>
                     <Insets left="50.0" />
                  </VBox.margin></Button>
               <VBox fx:id="paneAvis" prefHeight="101.0" prefWidth="180.0">
                  <children>
                     <TextField fx:id="inputCommentaireAvis" promptText="Commentaire">
                        <VBox.margin>
                           <Insets />
                        </VBox.margin>
                     </TextField>
                     <Slider fx:id="inputNoteAvis" blockIncrement="1.0" majorTickUnit="10.0" max="10.0" minorTickCount="1" showTickLabels="true" showTickMarks="true" value="1.0">
                        <VBox.margin>
                           <Insets top="5.0" />
                        </VBox.margin>
                     </Slider>
                     <Button mnemonicParsing="false" onAction="#onButtonAvis" text="Mettre un avis">
                        <VBox.margin>
                           <Insets left="43.0" />
                        </VBox.margin>
                     </Button>
                  </children>
                  <VBox.margin>
                     <Insets top="40.0" />
                  </VBox.margin>
               </VBox>
               <Button fx:id="buttonVoirAvisVal" mnemonicParsing="false" onAction="#onButtonVoirAvis" text="       Voir avis à valider     ">
                  <VBox.margin>
                     <Insets left="15.0" />
                  </VBox.margin>
               </Button>
            </children>
            <padding>
               <Insets left="10.0" right="10.0" top="15.0" />
            </padding>
         </VBox>
      </left>
   </BorderPane>
</VBox>
